const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    global z.x;
    v0_4 = z.x;
    esi_global_2d_to_2d_local = arg1[48] # esi;
    v1_13 = __asm_fnstsw(fpsw_global_2d_to_2d_local) # bp+13;
    z.x = z.x & -0x10000 | v1_13;
    __asm_ffree(st0_global_2d_to_2d_local);
    if v1_13 & 0x4000 == 0:;
        v3_1e = z.z + 8;
        v4_1e = *v3_1e;
        v5_23 = *((esi_global_2d_to_2d_local - 40)) # bp+23;
        *v3_1e = v4_1e - llvm_round_f80(v4_1e / v5_23) * v5_23;
    v1_35 = __asm_fnstsw(fpsw_global_2d_to_2d_local) # bp+35;
    z.x = z.x & -0x10000 | v1_35;
    __asm_ffree(st0_global_2d_to_2d_local);
    if v1_35 & 0x4000 == 0:;
        v5_45 = *((esi_global_2d_to_2d_local - 32)) # bp+45;
        *z.z = z.z - llvm_round_f80(z.z / v5_45) * v5_45;
    v1_57 = __asm_fnstsw(fpsw_global_2d_to_2d_local) # bp+57;
    z.x = z.x & -0x10000 | v1_57;
    __asm_ffree(st0_global_2d_to_2d_local);
    if v1_57 & 0x4000 == 0:;
        v5_67 = *((esi_global_2d_to_2d_local - 24)) # bp+67;
        *z.y = z.y - llvm_round_f80(z.y / v5_67) * v5_67;
    v1_79 = __asm_fnstsw(fpsw_global_2d_to_2d_local) # bp+79;
    z.x = z.x & -0x10000 | v1_79;
    __asm_ffree(st0_global_2d_to_2d_local);
    if v1_79 & 0x4000 == 0:;
        v5_89 = *((esi_global_2d_to_2d_local - 16)) # bp+89;
        *v0_4 = z.x - llvm_round_f80(z.x / v5_89) * v5_89;
    # 0x96;
    z.x = v0_4;
    return v0_4;


	}